{

  fetchgit,
  buildEnv,
  minio-client,

}: let

  version = "0.8.0-unstable";

  src = fetchgit {
    name = "garage-v${version}";
    url = "https://git.deuxfleurs.fr/Deuxfleurs/garage.git";
    rev = "293139a94a8911aaac1b650e4707379a972196aa";
    sha256 = "sha256-b6HHLnxMdmpngiywll6Egr8O9/4cqBN01Mj3OwVMeBc=";
  };

in rec {

  garage = (import "${src}/default.nix") { git_version = version; };

  minioClient = minio-client;

  env = buildEnv {
    name = "cryptic-net-garage";
    paths = [
      garage.pkgs.amd64.release
      minioClient
    ];
  };

}

